#
# spec file for package ghc-gingersnap
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name gingersnap
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.1.0
Release:        1.8
Summary:        Consistent and safe JSON APIs with snap-core and (by default) postgresql-simple
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-postgresql-simple-devel
BuildRequires:  ghc-resource-pool-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-snap-core-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
%if %{with tests}
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-microspec-devel
%endif

%description
Straightforward JSON API tools and idioms for snap-core and datastore access
(by default PostgreSQL via postgresql-simple), that provide:

- Safe access to pools of DB connections (preventing connection leaks) - Simple
and consistent JSON responses for successes and failures (including unexpected
failures) - An optional read-only/maintenance mode for keeping services up
during e.g. database migrations

See the README for a tutorial and example use.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add gingersnap at version 0.3.1.0.
